=== src20/Makefile ===
PACKAGE ?= gkrellsun

GTK_CONFIG ?=pkg-config gtk+-2.0
GTK_INCLUDE ?= `pkg-config gtk+-2.0 --cflags`
GTK_LIB ?= `pkg-config gtk+-2.0 --libs`

INSTALL ?= install

PREFIX ?= /usr/local
INSTALLDIR ?= $(DESTDIR)$(PREFIX)
PLUGINDIR ?= $(INSTALLDIR)/lib/gkrellm2/plugins
LOCALEDIR ?= $(INSTALLDIR)/share/locale

FLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE)
#FLAGS = -g -Wall -fPIC $(GTK_INCLUDE)
LIBS = $(GTK_LIB)
LFLAGS = -shared

ifeq ($(enable_nls),1)
	FLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
	export enable_nls
endif
FLAGS += -DPACKAGE="\"$(PACKAGE)\""
export PACKAGE LOCALEDIR

CC = gcc $(CFLAGS) $(FLAGS)

OBJS = gkrellsun.o CalcEphem.o Moon.o

#IMAGES = ../images/osun.xpm ../images/uvsun.xpm \
#         ../images/star.xpm ../images/dot.xpm

all: gkrellsun.so

gkrellsun.so: $(OBJS)
	(cd po && ${MAKE})
	$(CC) $(OBJS) -o gkrellsun.so $(LFLAGS) $(LIBS)

suninfo: suninfo.o CalcEphem.o Moon.o
	$(CC) suninfo.o CalcEphem.o Moon.o -o suninfo -lm $(LIBS)

clean:
	rm -f *.o core *.so* *.bak *~

#gkrellsun.o: gkrellsun.c $(IMAGES)
#%.o: %.c

install: gkrellsun.so
	(cd po && ${MAKE} install )
	$(INSTALL) -d $(PLUGINDIR)
	$(INSTALL) gkrellsun.so $(PLUGINDIR)

#echodirs:;@echo $(DESTDIR) $(PREFIX) $(INSTALLDIR) $(PLUGINDIR) $(LOCALEDIR)
