=== src20/debian/changelog ===
gkrellmsun (0.9-1) unstable; urgency=low

  * New upstream release 

 -- Norman Walsh <ndw@nwalsh.com>  Wed,  6 Nov 2002 09:02:14 -0500

Local variables:
mode: debian-changelog
End:
