=== src20/debian/control ===
Source: gkrellsun
Section: x11
Priority: optional
Build-Depends: debhelper (>> 3.0.0), gkrellm2, libgtk2.0-dev
Maintainer: Norman Walsh <ndw@nwalsh.com>
Standards-Version: 3.5.7

Package: gkrellsun
Architecture: any
Depends: gkrellm2, ${shlibs:Depends}
Description: Sunrise/sunset monitor plugin for GKrellM2
 This gkrellm2 plugin displays useless information about sunrise and sunset
 times, the path of the sun through the sky, and even a rudimentary lunar
 hack.
